
Base Distribution - Work Package # 49943

Status: Accepted Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-07-11 Assigned To: Andreas Förthner
Updated: 2013-10-11 Due date:
Subject: Security
Description

Defining the TYPO3 Neos Security Policy
    -  Target Audience: everyone using Neos
    -  Responsible: Andreas Förthner, Helmut Hummel
    -  Implemented by: Andreas Förthner, Helmut Hummel
    -  Version: must have for 1.0

Motivation
There are lots of vulnerabilities in the Neos backend currently. In order to provide a secure product and avoid security issues and
thereby distrust from users, we need to invest time in securing it.

Goal
In order to deliver a secure release we need to fix known security issues and tests if there are others.

Deliverables
    -  Policy for restricting access to controller actions

Not part of this work package:
    -  Content security for nodes (see #45010)
    -  Since editors have access to the html node type, we will not check any XSS, which can be introduced by editors

Subtasks:
Task # 52500: Editors must only be able to access their own workspaces Resolved
Task # 52504: WorkspaceController: Only publish your own workspace Resolved
Task # 52505: UserSettingsController: check parameters of updateAction Resolved
Task # 52506: WorkspacesController: Remove workspace selection feature Resolved
Task # 52508: General restrictions for controller access Resolved
Task # 52510: Check general purpose controllers Resolved

Associated revisions
Revision 92894420 - 2013-10-03 19:15 - Andreas Förthner

[TASK] Grant widget controllers to "Everybody"

Change-Id: Ib7b601a51141877be106ad12699c35f79643aa8e
Resolves: #49943
Reviewed-on: https://review.typo3.org/24328
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
Reviewed-by: Andreas Förthner
Tested-by: Andreas Förthner

History
#1 - 2013-07-30 10:34 - Aske Ertmann
- Tracker changed from Task to Work Package

#2 - 2013-10-03 16:10 - Andreas Förthner
- Status changed from New to Accepted
- Assigned To set to Andreas Förthner

#3 - 2013-10-03 16:15 - Andreas Förthner
- Subject changed from [WIP][Assignee missing] Security to Security

#4 - 2013-10-03 17:36 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24328

#5 - 2013-10-03 19:35 - Andreas Förthner
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:928944201b34ecc0fdae48fff85078f3bc2d19d8.

#6 - 2013-10-04 10:31 - Andreas Förthner
- Status changed from Resolved to Accepted
